This week’s tip: An official list of all verified Android-devices for skobbler navigation

It’s weekend-tip-time: Today we are talking about skobbler for Android. Which Android devices are compatible with our apps? Are there restrictions? Which Android-Version do I need at least?

With a list containing all officially verified devices for the skobbler app we provide a remedy.

Handset manufacturers are trying to adapt the operating system Android to their mobile devices as much as possible, so the compatibility with standards is often limited. As a consequence, not all apps are running perfect on all devices.

To offer you a bit of skobblery orientation, here comes a first summary of all android devices that we have tested successfully with our skobbler app. (That does not necessarily mean that all other devices won’t work, but only that we haven’t tested them yet.)

Devices

Google Nexus One (HTC Passion)
Google Nexus S
HTC Desire
HTC Desire HD
HTC Legend
HTC MAGIC
HTC Tattoo
HTC Wildfire
LG P500 Optiomus One
Motorola Defy
Motorola Milestone
Motorola Xoom
Samsung Galaxy S II
Samsung Galaxy S (GT-I9000)
Samsung Galaxy Tab
Samsung Galaxy 3
Sony Ericsson XPERIA Play
Sony Ericsson XPERIA X10

For all of them applies: It has to have at least the Android Version 1.6., to guarantee that the app runs properly. There is no special tablet-version of the skobbler navigation, but on all listed tablets it is fully functional.

We hope this little overview helps all our Android-users (as well as those, who want to become one), so that you will be navigated to your destination always flawlessly.